Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QVBox Class Reference

The QVBox widget provides vertical geometry management of its child widgets. More...

`#include <qvbox.h>`

Inherits QHBox.

List of all member functions.

## Public Members

- QVBox ( QWidget * parent = 0, const char * name = 0, WFlags f = 0 )

## Detailed Description

The QVBox widget provides vertical geometry management of its child widgets.

All its child widgets will be placed vertically and sized according to their sizeHint()s.

See also QHBox, Widget Appearance and Style, Layout Management, and Organizers.

## Member Function Documentation

### QVBox::QVBox ( QWidget * parent = 0, const char * name = 0, WFlags f = 0 )

Constructs a vbox widget called name with parent parent and widget flags f.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.